:root {
    --primary-gradient-color: linear-gradient(12.89deg, #17AEED 1.53%, #174397 95.8%);
    --white-color: #fff;
    --body-bg-color: #D9D9D9;
    --text-gray-color: #8E8E93;
}

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

/*   font-family: "Inter", sans-serif; */
/*   font-family: "Roboto", sans-serif; */
/*   font-family: "Open Sans", sans-serif */
/* ============= start: reset ============= */
*,
html,
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
li {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: 0;
    font-family: 'Montserrat', sans-serif;
    scroll-behavior: smooth;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0 !important;
}


label {
    margin: 0;
}

footer {
    margin-top: auto;
}

ul,
ol {
    list-style: none;
}

a {
    text-decoration: none;
}

a:hover,
a:focus,
a:active {
    text-decoration: none;
    outline: none;
}

address {
    font-style: normal;
}

textarea {
    resize: none;
}

textarea:hover,
textarea:focus,
textarea:active {
    outline: none;
    box-shadow: none;
}

input:hover,
input:active,
input:focus {
    outline: none;
    box-shadow: none;
}

select:hover,
select:active,
select:focus {
    outline: none;
    box-shadow: none;
}

input[type=number] {
    -moz-appearance: textfield;
    /*For FireFox*/
}

input[type=number]::-webkit-inner-spin-button {
    /*For Webkits like Chrome and Safari*/
    -webkit-appearance: none;
    margin: 0;
}

button,
button:hover,
button:focus,
button:active {
    outline: none;
    box-shadow: none;
    cursor: pointer;
}

img {
    border: none;
    max-width: 100%;
}

a img {
    border: 0px;
}

section {
    overflow: hidden;
}

figure {
    margin: 0;
    padding: 0;
}

.slick-initialized .slick-slide {
    outline: none;
    border: none;
}

/* ============= end: reset ============= */
.custom-container {
    width: 100%;
    padding: 0 24px;
}

body {
    background: var(--primary-gradient-color);
}

/* =========== start: main-header =========== */

.main-header {
    position: fixed;
    top: 0;
    z-index: 100;
    left: 0;
    width: 100%;
    padding: 13px 0;
}

.header-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.header-top .logo {
    display: flex;
    cursor: pointer;
    width: 44px;
}

.header-top .rightdiv .icon-with-text {
    display: flex;
    align-items: center;
    gap: 10px;
}

.header-top .rightdiv .icon-with-text .icon {
    display: flex;
}

.header-top .rightdiv .icon-with-text .text {
    font-family: "Inter", sans-serif;
    font-size: 15px;
    font-weight: 400;
    line-height: 18.15px;
    color: var(--white-color);
}

.main-header .menu-lists {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    padding: 13px 0 0;
    border: 0;
    margin: 0;
}

.main-header .menu-lists .menu-item {}

.main-header .menu-lists .nav-link {
    font-family: "Roboto", sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 28px;
    color: var(--white-color);
    padding: 0;
    border: 0;
    display: flex;
    align-items: center;
    gap: 5px;
    background-color: transparent;
}

.main-header .menu-lists .nav-link span {
    display: inline-block;
    position: relative;
}

.main-header .menu-lists .nav-link small {
    display: flex;
    width: 10px;
    height: 10px;
    border-radius: 100%;
    flex: 0 0 auto;
    background: #17A9E9;

}

.main-header .menu-lists .nav-link span::after {
    content: '';
    clear: both;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    border-bottom: 3px solid var(--white-color);
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
}

.main-header .menu-lists .menu-item:nth-child(1) span::after {
    left: 0;
    transform: translateX(0);
    width: 77px;
}

.main-header .menu-lists .menu-item{
    cursor: pointer;
}
.main-header .menu-lists .menu-item.active .nav-link span::after {
    opacity: 1;
    visibility: visible;
}

/* =========== end: main-header =========== */

/* =========== start: main-body =========== */
.main-body {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    padding: 111px 0 49px;
}

.main-body-wrapper {
    display: flex;
    flex-direction: column;
    flex: 1;
    background-color: var(--body-bg-color);
    overflow-x: hidden;
    overflow-y: auto;
}

/* =========== end: main-body =========== */

/* =========== start: main-footer =========== */
.main-footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 100;
    background-color: var(--white-color);
    height: 49px;
    display: flex;
    align-items: center;
    padding: 1px 0 0;
}

.main-footer .menu-lists {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex: 1;
}

.main-footer .menu-lists .nav-link {
    display: flex;
    background-color: transparent;
    border: 0;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    gap: 3px;
    padding: 0;
}

.main-footer .menu-lists .menu-item:not(:first-child, :last-child) .nav-link {
    width: 48px;
}

.main-footer .menu-lists .nav-link .icon {
    display: flex;
    align-items: center;
    height: 25px;
    width: 25px;
}

.main-footer .menu-lists .nav-link .text {
    font-family: "Open Sans", sans-serif;
    font-size: 10px;
    font-weight: 400;
    line-height: 13.62px;
    letter-spacing: -0.0241em;
    color: var(--text-gray-color);
}

/* =========== end: main-footer =========== */

/* =========== start: home-social-slide-content =========== */
.home-social-slide-content {
    display: flex;
    flex: 1;
    padding: 2px 0 0 44px;
    position: relative;
    width: calc(300% - calc(44px* 2));
    transition: 0.5s;
}

.home-social-slide-content .tab-content {
    flex: 1;
    position: relative;
    display: flex;
}


.home-social-slide-content:has(#only-for-you.show) #mix {
    visibility: hidden;
}

.home-social-slide-content:has(#special.show) #only-for-you {
    visibility: hidden;
}

.home-social-slide-content:has(#only-for-you.show) {
    transform: translatex(-32%);
}

.home-social-slide-content:has(#special.show) {
    transform: translatex(calc(-32% * 2));
}

.home-inst-style-slider {
    overflow-y: auto;
    scroll-snap-type: y mandatory;
    -webkit-overflow-scrolling: touch;
    position: absolute;
    top: 2px;
    left: 0;
    width: calc(100% - 60px);
    height: calc(100% - 32px);
    display: flex;
    flex-direction: column;
}
::-webkit-scrollbar {
    display: none;
}

.home-inst-style-slider .item-wrapper {
    display: flex;
    scroll-snap-align: start;
    height: 100%;
    flex: 0 0 auto;
}

.home-inst-style-slider .item-wrapper .item-information {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
}

.home-inst-style-slider .item-wrapper .item-information .image-container {
    height: calc(100% - 35px);
}

.home-inst-style-slider .item-wrapper .item-information .image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.home-inst-style-slider .item-wrapper .item-information .text-container {
    background-color: var(--white-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    height: 35px;
    padding: 0 5px;
    position: relative;
    z-index: 1;
}

.home-inst-style-slider .item-wrapper .item-information .text-container::after {
    content: '';
    clear: both;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: calc(100% - 1px);
    box-shadow: 0px 4px 4px 0px #00000040;
    z-index: -1;

}

.home-inst-style-slider .item-wrapper .item-information .text-container h4,
.home-inst-style-slider .item-wrapper .item-information .text-container a {
    font-family: "Roboto", sans-serif;
    font-size: 16px;
    font-weight: 700;
    line-height: 28px;
    color: #1756A6;
    overflow-wrap: break-word;
    word-wrap: break-word;
    word-break: break-word;
    white-space: normal;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.home-social-slide-content .tab-content .right-actions {
    flex: 0 0 auto;
    width: 60px;
    display: flex;
    flex-direction: column;
    padding: 12px 0 0;
    position: absolute;
    right: 0;
    top: 0;
}

.home-social-slide-content .tab-content .right-actions ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 10px;
}

.home-social-slide-content .tab-content .right-actions .icon-w-text-btn {
    display: flex;
    flex-direction: column;
    background-color: transparent;
    text-align: center;
    row-gap: 7px;
    align-items: center;
}

.home-social-slide-content .tab-content .right-actions .icon-w-text-btn .text {
    font-family: "Inter", sans-serif;
    font-size: 15px;
    font-weight: 400;
    line-height: 18.15px;
    color: var(--white-color);
}

.home-social-slide-content .tab-content .right-actions ul li.divider-li {
    border-top: 2px solid var(--white-color);
    width: 24px;
    margin: 16px 0 6px;
}
.lock-slider {
    overflow: hidden;
}
/* =========== end: home-social-slide-content =========== */

